# class Bundler::Fetcher::BadAuthenticationError

This error is raised if HTTP authentication is provided, but incorrect.

### Public Class Methods

new(remote_uri) click to toggle source
Calls superclass method `Exception::new`

    # File lib/bundler/fetcher.rb, line 52
    def initialize(remote_uri)
      remote_uri = filter_uri(remote_uri)
      super "Bad username or password for #{remote_uri}.\n" \
        "Please double-check your credentials and correct them."
    end